/// <reference path="E:\web\wap2p\Web\WAP2P.Web.PC\Res/core/Scripts/jquery.js" />
var timerNum = 3;
function timer() {
    if (timerNum < 1) {
        location.href = '/Admin/BackLogin.aspx';
    } else {
        $('.js-timer').text(timerNum + '秒后跳转至管理登录');
        timerNum--;
        setTimeout(timer, 1000);
    }
}

function tongjiBack(res) { }

$(function () {
    $('.js-checkbox').on('click', function () {
        var me = this;
        if (me.checked) {
            $(me).parent().next().removeAttr('disabled').removeClass('inst-disabled').addClass('inst-btn');
        } else {
            $(me).parent().next().attr('disabled', 'disabled').removeClass('inst-btn').addClass('inst-disabled');;
        }
    });
    $('.js-next').on('click', function () {
        $('.inst-step1').hide();
        $('.inst-step3').hide();
        $('.inst-step2').show();
        $('.inst-left span').eq(0).removeClass('on').next().addClass('on');
    });
    $('.js-finally').on('click', function () {
        var me = this;
        $('#errorMes').text('');
        $(me).attr({ 'disabled': 'disabled', 'data-old': $(me).val() }).val('安装中...');
        $.getScript('http://www.hjwis.com/About/Setup.htm?name=' + encodeURIComponent($('#contactName').val()) + '&phone=' + encodeURIComponent($('#contactPhone').val()) + '&company=' + encodeURIComponent($('#companyName').val()));

        $.get('Default.aspx?r=' + Math.random() + '&' + $('#form1').serialize(), function (res) {
            $(me).val($(me).attr('data-old')).removeAttr('disabled').removeAttr('data-old');
            if (res.Success) {
                $('.inst-step1').hide();
                $('.inst-step2').hide();
                $('.inst-step3').show();
                $('.inst-left span').eq(1).removeClass('on').next().addClass('on');
                timer();
            } else {
                var mes = res.Message;
                try {
                    if ($('#' + res.Message).length > 0)
                        mes = $('#' + res.Message).attr('data-vmsg');
                }
                catch (e) { }

                $('#errorMes').removeClass('g-hide').text(mes);
            }
        }, 'json');
    });
});